Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.storedProcedures
Class ToWindow

    java.lang.Object
      edu.udo.cs.miningmart.storedProcedures.ToWindow

public class ToWindow
extends java.lang.Object

This class realizes the M4 operator "Windowing".

Version:
  $Id: ToWindow.java,v 1.5 2006/04/11 14:10:16 euler Exp $
Author:
  Martin Scholz

Constructor Summary
`ToWindow(BusinessDbConnectionSource dbc, java.lang.String source, java.lang.String time, java.lang.String column, java.lang.String target, java.lang.String outTimeStart, java.lang.String outTimeEnd, java.lang.String[] targetColumns, int distance)` Constructor

Method Summary
`void` | `calc()` Method calc() reads from the column(s) specified in the constructor and writes to the specified target, using windowing
`static void` | `dbWindow(java.lang.Object dbc, java.lang.String sourceTable, java.lang.String timeAttrib, java.lang.String valueAttrib, java.lang.String targetTable, java.lang.String outTimeStart, java.lang.String outTimeEnd, java.lang.String outWindowedCols, int distance)` --- dbWindow --- description : this function has to be used in the database as stored procedure for rerepresenting a time series using windows.
`protected edu.udo.cs.miningmart.storedProcedures.OutputColumnset` | `getOutputColumnset()`
`protected Windowing` | `getWindow()`
`protected int` | `getWindowSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToWindow

    public ToWindow(BusinessDbConnectionSource dbc,
                    java.lang.String source,
                    java.lang.String time,
                    java.lang.String column,
                    java.lang.String target,
                    java.lang.String outTimeStart,
                    java.lang.String outTimeEnd,
                    java.lang.String[] targetColumns,
                    int distance)
             throws java.sql.SQLException,
                    TimeOperatorException

  Constructor

Parameters:
  `dbc` - source of database connection if not used as stored procedure
  `source` - source table
  `time` - time column of source table
  `column` - value column of source table
  `target` - name of the target table to be created
  `outTimeStart` - name of the interval start attribute for the output table
  `outTimeEnd` - name of the interval end attribute for the output table
  `targetColumns` - String array containing the name of the windowed output columns. Specifies the window size!
Throws:
  `java.sql.SQLException`
  `TimeOperatorException`

Method Detail

### getWindow

    protected Windowing getWindow()

### getOutputColumnset

    protected edu.udo.cs.miningmart.storedProcedures.OutputColumnset getOutputColumnset()

### getWindowSize

    protected int getWindowSize()

### calc

    public void calc()
              throws TimeOperatorException

  Method calc() reads from the column(s) specified in the constructor and writes to the specified target, using windowing.

  Throws:
    `TimeOperatorException`

### dbWindow

    public static void dbWindow(java.lang.Object dbc,
                                java.lang.String sourceTable,
                                java.lang.String timeAttrib,
                                java.lang.String valueAttrib,
                                java.lang.String targetTable,
                                java.lang.String outTimeStart,
                                java.lang.String outTimeEnd,
                                java.lang.String outWindowedCols,
                                int distance)
                         throws java.sql.SQLException,
                                TimeOperatorException

  --- dbWindow --- description : this function has to be used in the database as stored procedure for rerepresenting a time series using windows. the datatypes will be mapped to SQL datatypes. in : see the constructor for more information targetColumns: space separated list of target column names

  Throws:
    `java.sql.SQLException`
    `TimeOperatorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005